org.mozilla.javascript

## Interface ScriptRuntime.MessageProvider

Enclosing class:
  ScriptRuntime

    public static interface ScriptRuntime.MessageProvider

This is an interface defining a message provider. Create your own implementation to override the default error message provider.

Author:
  Mike Harm

### Method Summary

Methods
`java.lang.String` `getMessage(java.lang.String messageId, java.lang.Object[] arguments)` Returns a textual message identified by the given messageId, parameterized by the given arguments.

### Method Detail

#### getMessage

    java.lang.String getMessage(java.lang.String messageId,
                              java.lang.Object[] arguments)

Returns a textual message identified by the given messageId, parameterized by the given arguments.

Parameters:
  `messageId` - the identifier of the message
  `arguments` - the arguments to fill into the message